Repository 32bit  Forum
Repository 64bit  Wiki

[risolto] UrbanTerror4: dal 27/08 non va più

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

[risolto] UrbanTerror4: dal 27/08 non va più

Messaggioda daniele50 » mar ago 31, 2010 14:48

Ciao,
fino a ieri giocavo con Urban Terror 4 senza problemi.
Ieri ho aggiornato il sistema (current) con slackpkg con i changelog del 27 e 28 agosto.
Una volta riavviata la macchiana se cerco di avviare Urban Terror 4 mi esce il seguente errore:
Codice: Seleziona tutto
ioQ3 1.35urt linux-i386 Dec 20 2007
----- FS_Startup -----
Going through search path...

----------------------
17647 files in pk3 files
execing default.cfg
execing q3config.cfg
execing autoexec.cfg
Hunk_Clear: reset the hunk ok
----- Client Initialization -----
Couldn't read q3history.
----- Initializing Renderer ----
-------------------------------
QKEY found.
----- Client Initialization Complete -----
----- R_Init -----
...loading libGL.so.1:
Calling SDL_Init(SDL_INIT_VIDEO)...
SDL_Init(SDL_INIT_VIDEO) passed.
Initializing OpenGL display
...setting mode -1: 1920 1080
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
Couldn't get a visual
...WARNING: could not set the given mode (-1)
Initializing OpenGL display
...setting mode 3: 640 480
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
SDL_SetVideoMode failed: Could not create GL context
Couldn't get a visual
...WARNING: could not set the given mode (3)
----- CL_Shutdown -----
RE_Shutdown( 1 )
-----------------------
Sys_Error: GLimp_Init() - could not load OpenGL subsystem

Qualcuno usa questo gioco con la current?

P.S.: ho una nvidia en9400gt con i driver NVIDIA-Linux-x86-256.35
Ultima modifica di daniele50 il mar ago 31, 2010 14:57, modificato 1 volta in totale.
Avatar utente
daniele50
Linux 2.6
Linux 2.6
 
Messaggi: 928
Iscritto il: mar apr 10, 2007 12:58
Località: San Zenone al Lambro (MI)
Nome Cognome: Daniele Cinquanta
Slackware: Slackware64 14.0
Kernel: 3.2.29
Desktop: Xfce 4.10

Re: UrbanTerror4: dal 27/08 non va più

Messaggioda daniele50 » mar ago 31, 2010 14:57

Risolto:
mi sono accorto che anche il gioco AssaulCube dava lo stesso errore.
Ho provato a rimuovere e reinstallare i driver nvidia ed ora tutto funziona regolrmente... #-o
Buona giornata a tutti!
Avatar utente
daniele50
Linux 2.6
Linux 2.6
 
Messaggi: 928
Iscritto il: mar apr 10, 2007 12:58
Località: San Zenone al Lambro (MI)
Nome Cognome: Daniele Cinquanta
Slackware: Slackware64 14.0
Kernel: 3.2.29
Desktop: Xfce 4.10

Re: [risolto] UrbanTerror4: dal 27/08 non va più

Messaggioda Ansa89 » mar ago 31, 2010 19:54

Giusto per fare chiarezza: la causa del mancato avvio di urt (o di un qualsiasi software che usasse opengl) è dovuta all'aggiornamento di sicurezza del server xorg; questo aggiornamento ripristina i file originali, sovrascrivendo quelli installati dai driver ufficiali nVidia (e generando un discreto casino).
Avatar utente
Ansa89
Iper Master
Iper Master
 
Messaggi: 2621
Iscritto il: mer ago 29, 2007 16:57
Località: Modena
Nome Cognome: Stefano Ansaloni
Slackware: 13.1
Kernel: 3.16.1-ck1
Desktop: XFCE 4.6.1


Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite